- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: d6625678-7d7c-4540-9ed7-af8cbe949750
    creation_time: 2023-02-17T13:39:42.148051Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: p * s - r * q == 1 && a == y * r + x * p && b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 0da398e8-fedd-4db3-a3ff-0e73d9c33ca8
    creation_time: 2023-02-17T13:39:42.148474Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 1 == p * s - r * q
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e6a82f64-331b-4e4a-817d-2d91569fb9a2
    creation_time: 2023-02-17T13:39:42.148567Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 37
    column: 0
    function: main
  location_invariant:
    string: a == y * r + x * p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c850c4bb-7b34-44cc-9add-e5377e610dd5
    creation_time: 2023-02-17T13:39:42.148651Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 38
    column: 0
    function: main
  location_invariant:
    string: b == x * q + y * s
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3275b2c9-88c6-4138-9fab-9cdad653cac3
    creation_time: 2023-02-17T13:39:42.148737Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 54
    column: 0
    function: main
  location_invariant:
    string: a - b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d4262393-5ae8-49ec-92c6-57bd6849c51c
    creation_time: 2023-02-17T13:39:42.148819Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 55
    column: 0
    function: main
  location_invariant:
    string: p*x + r*y - b == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: df3c5d65-2b9e-47f0-87f8-ccde3e830e10
    creation_time: 2023-02-17T13:39:42.148900Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 56
    column: 0
    function: main
  location_invariant:
    string: q*r - p*s + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 32b9187d-5361-43ef-a025-f2f84c3d6216
    creation_time: 2023-02-17T13:39:42.148978Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/egcd-ll_valuebound2.c
      input_file_hashes:
        c/nla-digbench-scaling/egcd-ll_valuebound2.c: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/egcd-ll_valuebound2.c
    file_hash: e89b4ab54b22145b4041cfb458aca993f2d791ac86940dcd03d48a90a5273393
    line: 57
    column: 0
    function: main
  location_invariant:
    string: q*x + s*y - b == 0
    type: assertion
    format: C

